<template>
  <u-modal
    :title="title"
    :width="width"
    :visible="visible"
    contentFull
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <SubmissionEquipmentFormFK ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></SubmissionEquipmentFormFK>
  </u-modal>
</template>

<script>

import SubmissionEquipmentFormFK from './SubmissionEquipmentFormFK'
export default {
  name: 'SubmissionEquipmentModalFK',
  components: {
    SubmissionEquipmentFormFK
  },
  data () {
    return {
      title:'',
      width:1200,
      visible: false,
      disableSubmit: false,
      cmmsSubmissionId:''
    }
  },
  methods: {
    fankui(id){
      this.visible=true
      this.$nextTick(()=>{
        this.$refs.realForm.getSJSBOptions(id);
      })
    },
    // add () {
    //   this.visible=true
    //   this.$nextTick(()=>{
    //     this.$refs.realForm.add();
    //   })
    // },
    // edit (record) {
    //   this.visible=true
    //   this.$nextTick(()=>{
    //     this.$refs.realForm.edit(record);
    //   })
    // },
    close () {
      this.$emit('close');
      this.visible = false;
    },
    handleOk () {
      this.$refs.realForm.submitForm();
    },
    submitCallback(){
      this.$emit('ok');
      this.visible = false;
    },
    handleCancel () {
      this.close()
    }
  }
}
</script>